# std::filesystem::path::empty

From cppreference.com
< cpp‎ | filesystem‎ | path

bool empty() const noexcept; |  | (since C++17) (until C++20)
[[nodiscard]] bool empty() const noexcept; |  | (since C++20)

Checks if the path in generic format is empty.

### Parameters

(none)

### Return value

true if the path is empty, false otherwise.

### Notes

An empty path can be obtained by calling `clear` and by default-constructing a `path`. It can also be returned by a path decomposition function (such as `extension`) if the corresponding component is not present in the path.

An empty path is classified as a relative path.

### See also

(constructor) | constructs a `path` (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/empty&oldid=105057"